Resolve current storefront ownership
GET
/v2/public/storefronts/{locator}/resolvePath parameters
locatorstringrequiredmin length 1 · max length 160
Query parameters
langstringAllowed:
enarexpectedMerchantIdstring<uuid>expectedHostRevisionintegermin -9007199254740991 · max 9007199254740991
Header parameters
x-request-idstringOptional caller-provided request correlation ID.
min length 1
Responses
200OK
bindingobject | anyrequiredShow propertiesHide properties
Any of:
object
merchantIdstring<uuid>requiredenvironmentstringrequiredAllowed:
sandboxproductionhostnamestringrequiredmin length 1 · max length 253
publicSlugstringrequiredmin length 1 · max length 63
hostRevisionintegerrequiredmin -9007199254740991 · max 9007199254740991
publicContentRevisionintegerrequiredmin -9007199254740991 · max 9007199254740991
defaultLocalestringrequiredAllowed:
enarany
any404Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject422Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject429Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject500Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobjectRequest
curl -X GET "https://api.cipay.net/v2/public/storefronts/string/resolve"const response = await fetch("https://api.cipay.net/v2/public/storefronts/string/resolve", {
method: "GET"
});Response
{
"binding": {
"merchantId": "<uuid>",
"environment": "sandbox",
"hostname": "string",
"publicSlug": "string",
"hostRevision": 0,
"publicContentRevision": 0,
"defaultLocale": "en"
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}